#include "Vektor.h"

#include <iostream>
#include <iomanip> // wegen setw
#include <cassert> // wegen assert
using namespace std;


void Init(Vektor& v1, int wert) {
   for (int i=0; i<v1.dimension; ++i){
      v1.daten[i] = wert;
   }
}
void Init(Vektor& v1, int wert, int dim) {
   v1.dimension = dim;
   v1.daten = new int[dim];
   Init(v1, wert);
}

void Free(Vektor& v) {
   delete[] v.daten;
   v.daten = nullptr;
}


void Plus(const Vektor& v1, const Vektor& v2, Vektor& erg) {
   assert(v1.dimension == v2.dimension);
   assert(erg.dimension == v2.dimension);
   erg.dimension = v1.dimension;
   for (int i=0; i<v1.dimension; ++i){
      erg.daten[i] = v1.daten[i] + v2.daten[i];
   }
}

void Print(const Vektor& v1) {
   for (int i=0; i<v1.dimension; ++i){
      cout << setw(4) << v1.daten[i];
   }
}

void Resize(Vektor& v, int newSize) {
   // bisherige Daten freigeben
   delete[] v.daten;
   v.daten = new int[newSize];
   v.dimension = newSize;
}
